Intel® X86 Encoder Decoder: xed_enc2_req_payload_t Struct Reference

Intel® X86 Encoder Decoder

Loading...
Searching...
No Matches
xed_enc2_req_payload_t Struct Reference
Fast Encoder for Specific Instructions

This structure is filled in by the various XED ENC2 functions. More...

`#include <xed-encode-direct.h>`

## Data Fields
xed_uint32_t | cursor
xed_uint32_t | evexaaa:3
xed_uint32_t | evexb:1
xed_uint32_t | evexll:2
xed_uint32_t | evexvv:1
xed_uint32_t | evexz:1
xed_uint32_t | has_disp16:1
xed_uint32_t | has_disp32:1
xed_uint32_t | has_disp8:1
xed_uint32_t | has_sib:1
xed_uint8_t | imm8_reg
| for "partial opcode" instructions
xed_uint8_t * | itext
xed_uint32_t | map:4
xed_uint32_t | mod:2
xed_uint32_t | nd:1
xed_uint32_t | need_rex:1
xed_uint32_t | nf:1
xed_uint32_t | opcode_srm:3
xed_uint32_t | reg:3
xed_uint32_t | rexb:1
xed_uint32_t | rexb4:1
xed_uint32_t | rexr:1
xed_uint32_t | rexr4:1
xed_uint32_t | rexw:1
xed_uint32_t | rexx:1
xed_uint32_t | rexx4:1
xed_uint32_t | rm:3
xed_uint32_t | scc:4
xed_uint32_t | sibbase:3
xed_uint32_t | sibindex:3
xed_uint32_t | sibscale:2
xed_uint32_t | vexl:1
xed_uint32_t | vexpp:3
xed_uint32_t | vvvv:4

## Detailed Description

This structure is filled in by the various XED ENC2 functions.

It should not be directly manipulated by user code.

## Field Documentation

## ◆ cursor

xed_uint32_t cursor

## ◆ evexaaa

xed_uint32_t evexaaa

## ◆ evexb

xed_uint32_t evexb

## ◆ evexll

xed_uint32_t evexll

## ◆ evexvv

xed_uint32_t evexvv

## ◆ evexz

xed_uint32_t evexz

## ◆ has_disp16

xed_uint32_t has_disp16

## ◆ has_disp32

xed_uint32_t has_disp32

## ◆ has_disp8

xed_uint32_t has_disp8

## ◆ has_sib

xed_uint32_t has_sib

## ◆ imm8_reg

xed_uint8_t imm8_reg

for "partial opcode" instructions

## ◆ itext

xed_uint8_t* itext

## ◆ map

xed_uint32_t map

## ◆ mod

xed_uint32_t mod

## ◆ nd

xed_uint32_t nd

## ◆ need_rex

xed_uint32_t need_rex

## ◆ nf

xed_uint32_t nf

## ◆ opcode_srm

xed_uint32_t opcode_srm

## ◆ reg

xed_uint32_t reg

## ◆ rexb

xed_uint32_t rexb

## ◆ rexb4

xed_uint32_t rexb4

## ◆ rexr

xed_uint32_t rexr

## ◆ rexr4

xed_uint32_t rexr4

## ◆ rexw

xed_uint32_t rexw

## ◆ rexx

xed_uint32_t rexx

## ◆ rexx4

xed_uint32_t rexx4

## ◆ rm

xed_uint32_t rm

## ◆ scc

xed_uint32_t scc

## ◆ sibbase

xed_uint32_t sibbase

## ◆ sibindex

xed_uint32_t sibindex

## ◆ sibscale

xed_uint32_t sibscale

## ◆ vexl

xed_uint32_t vexl

## ◆ vexpp

xed_uint32_t vexpp

## ◆ vvvv

xed_uint32_t vvvv

The documentation for this struct was generated from the following file:

- xed-encode-direct.h